<template>
  <div
    id="side-bar"
    :class="[
      'w-64', /* 256px */
      'p-2',
      'mx-3',
      'my-2',
      'rounded',
      'border',
      '@light:bg-@light-alabaster',
      '@dark:border-@dark-mirage'
    ]"
  >
    <ul>
      <li
        v-for="(item, index) in items"
        :key="index"
      >
        <VButton
          :to="item.target"
          variant="mirage"
          fluid
          :v-style="(classes, { add, replace }) => {
            add('mb-2')
          }"
        >
          <div class="flex gap-3 items-center">
            <v-icon
              :name="item.icon"
              class="w-4 fill-current"
            />
            {{ item.text }}
          </div>
        </VButton>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  data () {
    return {
      items: [
        {
          text: this.$filters.capitalize(this.$t('views.Home.Index.title')),
          target: {
            name: 'home'
          },
          icon: 'home'
        },
        {
          text: this.$filters.capitalize(this.$t('views.components.index.title')),
          target: {
            name: 'components'
          },
          icon: 'cube'
        }
      ]
    }
  }
}
</script>
